// rollup.config.js
import typescript from '@rollup/plugin-typescript';
import commonjs from '@rollup/plugin-commonjs';

function onwarn(warning) {
    // eslint-disable-next-line no-console
    console.warn(warning.toString());
}
export default {
    input: ['lib/index.ts'],
    output: {
        dir: 'output',
        format: 'cjs',
    },
    onwarn,
    plugins: [
        typescript(
            {

                tsconfig: "./tsconfig3.json",
                lib: ["es5", "es6"],
                target: "es5",
                outDir: "output",
                declaration: true,
                declarationMap: true,
            }
        ),
        commonjs(
            {
                extensions: ['.js', '.ts']

            }
        ), // the ".ts" extension is required
    ],
};